{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/Apollo_account"
                },
                {
                    "type": "string",
                    "id": "#main/Gmod_account"
                },
                {
                    "type": "string",
                    "id": "#main/Gmod_stage_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/blastdb_Path_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/cds_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_apollo2_data"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/genome_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/hmmerdb_Path_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/host_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/login_apollo2_production"
                },
                {
                    "type": "string",
                    "id": "#main/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/protein_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/transcript_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#chmod-scaffold-2gmod.cwl",
                    "in": [
                        {
                            "source": "#main/Gmod_account",
                            "id": "#main/chmod-scaffold-2gmodProd/Gmod_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/chmod-scaffold-2gmodProd/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/chmod-scaffold-2gmodProd/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/dataTransfer-scaffold-2gmodProd/out_dummy",
                            "id": "#main/chmod-scaffold-2gmodProd/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/chmod-scaffold-2gmodProd/tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/chmod-scaffold-2gmodProd"
                },
                {
                    "run": "#createFolder.cwl",
                    "in": [
                        {
                            "source": "#main/Apollo_account",
                            "id": "#main/createFolder/Apollo_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/createFolder/PATH"
                        },
                        {
                            "source": "#main/deepPATH_bigwig",
                            "id": "#main/createFolder/deepPATH_bigwig"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/createFolder/tree"
                        }
                    ],
                    "out": [
                        "#main/createFolder/out_dummy"
                    ],
                    "id": "#main/createFolder"
                },
                {
                    "run": "#createFolder-2gmod.cwl",
                    "in": [
                        {
                            "source": "#main/Gmod_account",
                            "id": "#main/createFolder-2gmodProd/Gmod_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/createFolder-2gmodProd/PATH"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/createFolder-2gmodProd/tree"
                        }
                    ],
                    "out": [
                        "#main/createFolder-2gmodProd/out_dummy"
                    ],
                    "id": "#main/createFolder-2gmodProd"
                },
                {
                    "run": "#createFolder-2gmod.cwl",
                    "in": [
                        {
                            "source": "#main/Gmod_stage_account",
                            "id": "#main/createFolder-2gmodStage/Gmod_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/createFolder-2gmodStage/PATH"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/createFolder-2gmodStage/tree"
                        }
                    ],
                    "out": [
                        "#main/createFolder-2gmodStage/out_dummy"
                    ],
                    "id": "#main/createFolder-2gmodStage"
                },
                {
                    "run": "#workflow.cwl",
                    "in": [
                        {
                            "source": "#main/PATH",
                            "id": "#main/create_ymlFile/PATH"
                        },
                        {
                            "source": "#main/blastdb_Path_production",
                            "id": "#main/create_ymlFile/blastdb_Path_production"
                        },
                        {
                            "source": "#main/cds_fasta_name",
                            "id": "#main/create_ymlFile/cds_fasta_name"
                        },
                        {
                            "source": "#main/deepPATH_analyses",
                            "id": "#main/create_ymlFile/deepPATH_analyses"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/create_ymlFile/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/genome_fasta_name",
                            "id": "#main/create_ymlFile/genome_fasta_name"
                        },
                        {
                            "source": "#main/hmmerdb_Path_production",
                            "id": "#main/create_ymlFile/hmmerdb_Path_production"
                        },
                        {
                            "source": "#main/managePy_Path",
                            "id": "#main/create_ymlFile/managePy_Path"
                        },
                        {
                            "source": "#main/protein_fasta_name",
                            "id": "#main/create_ymlFile/protein_fasta_name"
                        },
                        {
                            "source": "#main/scientific_name",
                            "id": "#main/create_ymlFile/scientific_name"
                        },
                        {
                            "source": "#main/transcript_fasta_name",
                            "id": "#main/create_ymlFile/transcript_fasta_name"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/create_ymlFile/tree"
                        }
                    ],
                    "out": [
                        "#main/create_ymlFile/Yml_file"
                    ],
                    "id": "#main/create_ymlFile"
                },
                {
                    "run": "#dataTransfer-bigwig.cwl",
                    "in": [
                        {
                            "source": "#main/Apollo_account",
                            "id": "#main/dataTransfer-bigwig/Apollo_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/dataTransfer-bigwig/PATH"
                        },
                        {
                            "source": "#main/deepPATH_bigwig",
                            "id": "#main/dataTransfer-bigwig/deepPATH_bigwig"
                        },
                        {
                            "source": "#main/createFolder/out_dummy",
                            "id": "#main/dataTransfer-bigwig/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/dataTransfer-bigwig/tree"
                        }
                    ],
                    "out": [
                        "#main/dataTransfer-bigwig/out_dummy"
                    ],
                    "id": "#main/dataTransfer-bigwig"
                },
                {
                    "run": "#dataTransfer-blat.cwl",
                    "in": [
                        {
                            "source": "#main/Apollo_account",
                            "id": "#main/dataTransfer-blat/Apollo_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/dataTransfer-blat/PATH"
                        },
                        {
                            "source": "#main/dataTransfer-jbrowse/out_dummy",
                            "id": "#main/dataTransfer-blat/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/dataTransfer-blat/tree"
                        }
                    ],
                    "out": [
                        "#main/dataTransfer-blat/out_dummy"
                    ],
                    "id": "#main/dataTransfer-blat"
                },
                {
                    "run": "#dataTransfer-jbrowse.cwl",
                    "in": [
                        {
                            "source": "#main/Apollo_account",
                            "id": "#main/dataTransfer-jbrowse/Apollo_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/dataTransfer-jbrowse/PATH"
                        },
                        {
                            "source": "#main/dataTransfer-bigwig/out_dummy",
                            "id": "#main/dataTransfer-jbrowse/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/dataTransfer-jbrowse/tree"
                        }
                    ],
                    "out": [
                        "#main/dataTransfer-jbrowse/out_dummy"
                    ],
                    "id": "#main/dataTransfer-jbrowse"
                },
                {
                    "run": "#dataTransfer-scaffold-2gmod.cwl",
                    "in": [
                        {
                            "source": "#main/Gmod_account",
                            "id": "#main/dataTransfer-scaffold-2gmodProd/Gmod_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/dataTransfer-scaffold-2gmodProd/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/dataTransfer-scaffold-2gmodProd/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/createFolder-2gmodProd/out_dummy",
                            "id": "#main/dataTransfer-scaffold-2gmodProd/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/dataTransfer-scaffold-2gmodProd/tree"
                        }
                    ],
                    "out": [
                        "#main/dataTransfer-scaffold-2gmodProd/out_dummy"
                    ],
                    "id": "#main/dataTransfer-scaffold-2gmodProd"
                },
                {
                    "run": "#dataTransfer-scaffold-2gmod.cwl",
                    "in": [
                        {
                            "source": "#main/Gmod_stage_account",
                            "id": "#main/dataTransfer-scaffold-2gmodStage/Gmod_account"
                        },
                        {
                            "source": "#main/PATH",
                            "id": "#main/dataTransfer-scaffold-2gmodStage/PATH"
                        },
                        {
                            "source": "#main/deepPATH_genomic_fasta",
                            "id": "#main/dataTransfer-scaffold-2gmodStage/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#main/createFolder-2gmodStage/out_dummy",
                            "id": "#main/dataTransfer-scaffold-2gmodStage/in_dummy"
                        },
                        {
                            "source": "#main/tree",
                            "id": "#main/dataTransfer-scaffold-2gmodStage/tree"
                        }
                    ],
                    "out": [
                        "#main/dataTransfer-scaffold-2gmodStage/out_dummy"
                    ],
                    "id": "#main/dataTransfer-scaffold-2gmodStage"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/create_ymlFile/Yml_file",
                    "id": "#main/Yml_file"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "ssh"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.Gmod_account)"
                },
                {
                    "position": 2,
                    "valueFrom": "sudo chmod -R 755 $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#chmod-scaffold-2gmod.cwl/Gmod_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#chmod-scaffold-2gmod.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#chmod-scaffold-2gmod.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#chmod-scaffold-2gmod.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#chmod-scaffold-2gmod.cwl/tree"
                }
            ],
            "outputs": [],
            "id": "#chmod-scaffold-2gmod.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "ssh"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.Gmod_account)"
                },
                {
                    "position": 2,
                    "valueFrom": "mkdir -p $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#createFolder-2gmod.cwl/Gmod_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createFolder-2gmod.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createFolder-2gmod.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#createFolder-2gmod.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "createFolder.dummy"
                    }
                }
            ],
            "stdout": "createFolder.dummy",
            "id": "#createFolder-2gmod.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "ssh"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.Apollo_account)"
                },
                {
                    "position": 2,
                    "valueFrom": "mkdir -p $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_bigwig[0])"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#createFolder.cwl/Apollo_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createFolder.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createFolder.cwl/deepPATH_bigwig"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#createFolder.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#createFolder.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "createFolder.dummy"
                    }
                }
            ],
            "stdout": "createFolder.dummy",
            "id": "#createFolder.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "rsync"
            ],
            "arguments": [
                {
                    "prefix": "-rlvP",
                    "position": 1,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_bigwig[0])/"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.Apollo_account):$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_bigwig[0])"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#dataTransfer-bigwig.cwl/Apollo_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-bigwig.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-bigwig.cwl/deepPATH_bigwig"
                },
                {
                    "type": "File",
                    "id": "#dataTransfer-bigwig.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-bigwig.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dataTransfer-bigwig.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "dataTransfer-bigwig.dummy"
                    }
                }
            ],
            "stdout": "dataTransfer-bigwig.dummy",
            "id": "#dataTransfer-bigwig.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "rsync"
            ],
            "arguments": [
                {
                    "prefix": "-rlvP",
                    "position": 1,
                    "valueFrom": "$(inputs.PATH[2])/$(inputs.tree[0])"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.Apollo_account):$(inputs.PATH[2])/"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#dataTransfer-blat.cwl/Apollo_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-blat.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#dataTransfer-blat.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-blat.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dataTransfer-blat.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "dataTransfer-blat.dummy"
                    }
                }
            ],
            "stdout": "dataTransfer-blat.dummy",
            "id": "#dataTransfer-blat.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "rsync"
            ],
            "arguments": [
                {
                    "prefix": "-rlvP",
                    "position": 1,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/jbrowse"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.Apollo_account):$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#dataTransfer-jbrowse.cwl/Apollo_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-jbrowse.cwl/PATH"
                },
                {
                    "type": "File",
                    "id": "#dataTransfer-jbrowse.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-jbrowse.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dataTransfer-jbrowse.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "dataTransfer-jbrowse.dummy"
                    }
                }
            ],
            "stdout": "dataTransfer-jbrowse.dummy",
            "id": "#dataTransfer-jbrowse.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "rsync"
            ],
            "arguments": [
                {
                    "prefix": "-rlvP",
                    "position": 1,
                    "valueFrom": "$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])"
                },
                {
                    "position": 2,
                    "valueFrom": "$(inputs.Gmod_account):$(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#dataTransfer-scaffold-2gmod.cwl/Gmod_account"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-scaffold-2gmod.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-scaffold-2gmod.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": "File",
                    "id": "#dataTransfer-scaffold-2gmod.cwl/in_dummy"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#dataTransfer-scaffold-2gmod.cwl/tree"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#dataTransfer-scaffold-2gmod.cwl/out_dummy",
                    "outputBinding": {
                        "glob": "dataTransfer-scaffold-2gmod.dummy"
                    }
                }
            ],
            "stdout": "dataTransfer-scaffold-2gmod.dummy",
            "id": "#dataTransfer-scaffold-2gmod.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "touch"
            ],
            "inputs": [],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#create_yml.cwl/Yml_file"
                }
            ],
            "id": "#create_yml.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/blastdb_Path_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/cds_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/genome_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/hmmerdb_Path_production"
                },
                {
                    "type": "string",
                    "id": "#workflow.cwl/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/protein_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/transcript_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#workflow.cwl/tree"
                }
            ],
            "steps": [
                {
                    "run": "#create_yml.cwl",
                    "in": [],
                    "out": [
                        "#workflow.cwl/create_yml/Yml_file"
                    ],
                    "id": "#workflow.cwl/create_yml"
                },
                {
                    "run": "#writeFirstLine.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/create_yml/Yml_file",
                            "id": "#workflow.cwl/writeFirstLine/yml_file"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/writeFirstLine/Yml_file"
                    ],
                    "id": "#workflow.cwl/writeFirstLine"
                },
                {
                    "run": "#writeYml.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/PATH",
                            "id": "#workflow.cwl/writeYml/PATH"
                        },
                        {
                            "source": "#workflow.cwl/blastdb_Path_production",
                            "id": "#workflow.cwl/writeYml/blastdb_Path_production"
                        },
                        {
                            "source": "#workflow.cwl/cds_fasta_name",
                            "id": "#workflow.cwl/writeYml/cds_fasta_name"
                        },
                        {
                            "source": "#workflow.cwl/deepPATH_analyses",
                            "id": "#workflow.cwl/writeYml/deepPATH_analyses"
                        },
                        {
                            "source": "#workflow.cwl/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl/writeYml/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#workflow.cwl/genome_fasta_name",
                            "id": "#workflow.cwl/writeYml/genome_fasta_name"
                        },
                        {
                            "source": "#workflow.cwl/hmmerdb_Path_production",
                            "id": "#workflow.cwl/writeYml/hmmerdb_Path_production"
                        },
                        {
                            "source": "#workflow.cwl/managePy_Path",
                            "id": "#workflow.cwl/writeYml/managePy_Path"
                        },
                        {
                            "source": "#workflow.cwl/scientific_name",
                            "id": "#workflow.cwl/writeYml/scientific_name"
                        },
                        {
                            "source": "#workflow.cwl/transcript_fasta_name",
                            "id": "#workflow.cwl/writeYml/transcript_fasta_name"
                        },
                        {
                            "source": "#workflow.cwl/tree",
                            "id": "#workflow.cwl/writeYml/tree"
                        },
                        {
                            "source": "#workflow.cwl/writeFirstLine/Yml_file",
                            "id": "#workflow.cwl/writeYml/yml_file"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/writeYml/Yml_file"
                    ],
                    "id": "#workflow.cwl/writeYml"
                },
                {
                    "run": "#writeYml-protein-fasta.cwl",
                    "in": [
                        {
                            "source": "#workflow.cwl/PATH",
                            "id": "#workflow.cwl/writeYml-protein-fasta/PATH"
                        },
                        {
                            "source": "#workflow.cwl/deepPATH_analyses",
                            "id": "#workflow.cwl/writeYml-protein-fasta/deepPATH_analyses"
                        },
                        {
                            "source": "#workflow.cwl/deepPATH_genomic_fasta",
                            "id": "#workflow.cwl/writeYml-protein-fasta/deepPATH_genomic_fasta"
                        },
                        {
                            "source": "#workflow.cwl/protein_fasta_name",
                            "id": "#workflow.cwl/writeYml-protein-fasta/protein_fasta_name"
                        },
                        {
                            "source": "#workflow.cwl/tree",
                            "id": "#workflow.cwl/writeYml-protein-fasta/tree"
                        },
                        {
                            "source": "#workflow.cwl/writeYml/Yml_file",
                            "id": "#workflow.cwl/writeYml-protein-fasta/yml_file"
                        }
                    ],
                    "out": [
                        "#workflow.cwl/writeYml-protein-fasta/Yml_file"
                    ],
                    "id": "#workflow.cwl/writeYml-protein-fasta"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#workflow.cwl/create_yml/Yml_file",
                    "id": "#workflow.cwl/Yml_file"
                }
            ],
            "id": "#workflow.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.yml_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#writeFirstLine.cwl/yml_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo '#This yml file is used for genomics-workspace workflow' > genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#writeFirstLine.cwl/Yml_file"
                }
            ],
            "id": "#writeFirstLine.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.yml_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/protein_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml-protein-fasta.cwl/tree"
                },
                {
                    "type": "File",
                    "id": "#writeYml-protein-fasta.cwl/yml_file"
                }
            ],
            "baseCommand": [
                "bash",
                "-c"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e '${ var A = inputs.protein_fasta_name; var B = '{class: File, path: ' + inputs.PATH[0] + '/' + inputs.tree[0] + '/' + inputs.tree[1] + '/' + inputs.deepPATH_genomic_fasta[0] + '/' + inputs.deepPATH_analyses[0] + '/' + inputs.tree[2] + '/'; var C = []; for (var i = 0; i < A.length; i++) { C = C + B + A[i] + '}'; if(i != A.length-1) { C = C + ','; } } return C; }\n]' >> genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#writeYml-protein-fasta.cwl/Yml_file"
                }
            ],
            "id": "#writeYml-protein-fasta.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "bash",
                "-c"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": "${ var LIST = [(inputs.yml_file)]; return LIST; }"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/PATH"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/blastdb_Path_production"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/cds_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/deepPATH_analyses"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/deepPATH_genomic_fasta"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/genome_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/hmmerdb_Path_production"
                },
                {
                    "type": "string",
                    "id": "#writeYml.cwl/managePy_Path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/scientific_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/transcript_fasta_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#writeYml.cwl/tree"
                },
                {
                    "type": "File",
                    "id": "#writeYml.cwl/yml_file"
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "echo -e 'scientific_name: $(inputs.scientific_name)\ntree: $(inputs.tree)\nmanagePy_Path: $(inputs.managePy_Path)\nblastdb_Path: $(inputs.blastdb_Path_production)\nhmmerdb_Path: $(inputs.hmmerdb_Path_production)\nin_fasta:\n  class: File\n  path: $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.genome_fasta_name[0])\nin_fasta_transcript:\n  class: File\n  path: $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/$(inputs.tree[2])/$(inputs.transcript_fasta_name[0])\nin_fasta_cds:\n  class: File\n  path: $(inputs.PATH[0])/$(inputs.tree[0])/$(inputs.tree[1])/$(inputs.deepPATH_genomic_fasta[0])/$(inputs.deepPATH_analyses[0])/$(inputs.tree[2])/$(inputs.cds_fasta_name[0])\nin_fasta_protein: [' >> genomics-workspace.yml"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.yml"
                    },
                    "id": "#writeYml.cwl/Yml_file"
                }
            ],
            "id": "#writeYml.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
